lina-cli
========

lina-cli is the official scaffolding cli for lina framework

[![oclif](https://img.shields.io/badge/cli-oclif-brightgreen.svg)](https://oclif.io)
[![Version](https://img.shields.io/npm/v/lina-cli.svg)](https://npmjs.org/package/lina-cli)
[![CircleCI](https://circleci.com/gh/awesome-graphql-space/lina-cli/tree/master.svg?style=shield)](https://circleci.com/gh/awesome-graphql-space/lina-cli/tree/master)
[![Codecov](https://codecov.io/gh/awesome-graphql-space/lina-cli/branch/master/graph/badge.svg)](https://codecov.io/gh/awesome-graphql-space/lina-cli)
[![Downloads/week](https://img.shields.io/npm/dw/lina-cli.svg)](https://npmjs.org/package/lina-cli)
[![License](https://img.shields.io/npm/l/lina-cli.svg)](https://github.com/awesome-graphql-space/lina-cli/blob/master/package.json)

<!-- toc -->
* [Usage](#usage)
* [Commands](#commands)
<!-- tocstop -->
# Usage
<!-- usage -->
```sh-session
$ npm install -g @linaframework/lina-cli
$ lina COMMAND
running command...
$ lina (-v|--version|version)
@linaframework/lina-cli/2.0.6-alpha.0 darwin-x64 node-v11.1.0
$ lina --help [COMMAND]
USAGE
  $ lina COMMAND
...
```
<!-- usagestop -->
# Commands
<!-- commands -->
* [`lina autocomplete [SHELL]`](#lina-autocomplete-shell)
* [`lina commands`](#lina-commands)
* [`lina component NEW`](#lina-component-new)
* [`lina conf [KEY] [VALUE]`](#lina-conf-key-value)
* [`lina create NAME`](#lina-create-name)
* [`lina deploy`](#lina-deploy)
* [`lina help [COMMAND]`](#lina-help-command)
* [`lina modules NAME`](#lina-modules-name)
* [`lina update [CHANNEL]`](#lina-update-channel)

## `lina autocomplete [SHELL]`

display autocomplete installation instructions

```
USAGE
  $ lina autocomplete [SHELL]

ARGUMENTS
  SHELL  shell type

OPTIONS
  -r, --refresh-cache  Refresh cache (ignores displaying instructions)

EXAMPLES
  $ lina autocomplete
  $ lina autocomplete bash
  $ lina autocomplete zsh
  $ lina autocomplete --refresh-cache
```

_See code: [@oclif/plugin-autocomplete](https://github.com/oclif/plugin-autocomplete/blob/v0.1.0/src/commands/autocomplete/index.ts)_

## `lina commands`

list all the commands

```
USAGE
  $ lina commands

OPTIONS
  -h, --help  show CLI help
  -j, --json  output in json format
  --hidden    also show hidden commands
```

_See code: [@oclif/plugin-commands](https://github.com/oclif/plugin-commands/blob/v1.2.2/src/commands/commands.ts)_

## `lina component NEW`

create a new lina component

```
USAGE
  $ lina component NEW

ARGUMENTS
  NEW  Create a lina service

OPTIONS
  -f, --force
  -h, --help                        show CLI help
  -n, --name=name                   name to print
  --loglevel=error|warn|info|debug

EXAMPLE
  $ lina component
```

_See code: [src/commands/component.ts](https://github.com/awesome-graphql-space/lina-cli/blob/v2.0.6-alpha.0/src/commands/component.ts)_

## `lina conf [KEY] [VALUE]`

manage configuration

```
USAGE
  $ lina conf [KEY] [VALUE]

ARGUMENTS
  KEY    key of the config
  VALUE  value of the config

OPTIONS
  -d, --cwd=cwd          config file location
  -d, --delete           delete?
  -h, --help             show CLI help
  -k, --key=key          key of the config
  -n, --name=name        config file name
  -p, --project=project  project name
  -v, --value=value      value of the config
```

_See code: [conf-cli](https://github.com/natzcam/conf-cli/blob/v0.1.6/src/commands/conf.ts)_

## `lina create NAME`

Create new linaframework project

```
USAGE
  $ lina create NAME

ARGUMENTS
  NAME  Please provide a name for your app

OPTIONS
  -f, --force
  -h, --help       show CLI help
  -n, --name=name  name to print

EXAMPLE
  $ lina create my-app
```

_See code: [src/commands/create.ts](https://github.com/awesome-graphql-space/lina-cli/blob/v2.0.6-alpha.0/src/commands/create.ts)_

## `lina deploy`

Deploy project to cloud

```
USAGE
  $ lina deploy

OPTIONS
  -f, --force
  -h, --help                        show CLI help
  -n, --name=name                   name to print
  --loglevel=error|warn|info|debug

EXAMPLE
  $ lina deploy
```

_See code: [src/commands/deploy.ts](https://github.com/awesome-graphql-space/lina-cli/blob/v2.0.6-alpha.0/src/commands/deploy.ts)_

## `lina help [COMMAND]`

display help for lina

```
USAGE
  $ lina help [COMMAND]

ARGUMENTS
  COMMAND  command to show help for

OPTIONS
  --all  see all commands in CLI
```

_See code: [@oclif/plugin-help](https://github.com/oclif/plugin-help/blob/v2.1.4/src/commands/help.ts)_

## `lina modules NAME`

Create or add existing lina modules

```
USAGE
  $ lina modules NAME

ARGUMENTS
  NAME  Please provide a name for your app

OPTIONS
  -f, --force
  -h, --help                        show CLI help
  -n, --name=name                   name to print
  --loglevel=error|warn|info|debug

EXAMPLES
  $ lina module --add
  $ lina module --create
```

_See code: [src/commands/modules.ts](https://github.com/awesome-graphql-space/lina-cli/blob/v2.0.6-alpha.0/src/commands/modules.ts)_

## `lina update [CHANNEL]`

update the lina CLI

```
USAGE
  $ lina update [CHANNEL]
```

_See code: [@oclif/plugin-update](https://github.com/oclif/plugin-update/blob/v1.3.7/src/commands/update.ts)_
<!-- commandsstop -->
