"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const inquirer = require("inquirer");
const base_1 = require("../base");
class Modules extends base_1.default {
    async run() {
        const { args } = this.parse(Modules);
        // just prompt for input
        const firstResponses = await inquirer.prompt([
            {
                name: 'name',
                message: 'Project name',
                default: args.name
            },
            {
                name: 'description',
                message: 'Description of your project'
            },
            {
                name: 'author',
                message: 'Name of author'
            },
            {
                name: 'repository',
                message: 'Project repository url'
            },
            {
                name: 'size',
                message: 'Project size to help allocate some features',
                type: 'list',
                choices: [{ name: 'small' }, { name: 'medium' }, { name: 'enterprise' }],
            },
            {
                name: 'features',
                message: 'select features/modules to speed up your project',
                type: 'checkbox',
                choices: [{ name: 'authentication' }, { name: 'chat' }, { name: 'social' }, { name: 'push-notification' }],
            },
            {
                name: 'databaseType',
                message: 'select a database type',
                type: 'list',
                choices: [{ name: 'NoSQL' }, { name: 'SQL' }, { name: 'Graph' }],
            },
            {
                name: 'confirm',
                message: 'You are sure of the options selected?',
                type: 'confirm',
            },
        ]);
        this.log(`You entered: ${firstResponses.name}, ${firstResponses.description}, ${firstResponses.databaseType}`, 'error');
    }
}
Modules.description = 'Create or add existing lina modules';
Modules.examples = [
    '$ lina module --add',
    '$ lina module --create',
];
Modules.args = [
    {
        name: 'name',
        required: true,
        description: 'Please provide a name for your app',
    }
];
exports.default = Modules;
